<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Material{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO materiales (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idmaterial,$nombre,$descripcion){
	$sql="UPDATE materiales SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idmaterial='$idmaterial'";
	return ejecutarConsulta($sql);
}
public function desactivar($idmaterial){
	$sql="UPDATE materiales SET condicion='0' WHERE idmaterial='$idmaterial'";
	return ejecutarConsulta($sql);
}
public function activar($idmaterial){
	$sql="UPDATE materiales SET condicion='1' WHERE idmaterial='$idmaterial'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idmaterial){
	$sql="SELECT * FROM materiales WHERE idmaterial='$idmaterial'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM materiales";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM materiales WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
